Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic
Interface ContentType

All Known Implementing Classes:
  DefaultContentType, EepicContentType, LatexContentType, PstricksContentType

public interface ContentType

Specifies a content-type (aka mime-type) for a Drawing document created by an editor-kit.

This interface is aimed at lumping together top-level classes needed by a given content-type in the View-Model-Control framework : so far this involves obtaining an instance of EditorKit appropriate for the given content-type, as well as a corresponding FormatterFactory. A `configure` method is provided for conveniently configuring editor-kits and factories before use.

[SR:pending] better move to jpicedt.graphic.io ?

Since:
  jpicedt 1.3.2
Version:
  $Id: ContentType.java,v 1.7.2.1 2007/09/02 11:56:15 reynal Exp $
Author:
  Sylvain Reynal

Method Summary
`void` | `configure(Properties p)` Configure the EditorKit and the FormatterFactory returned by the factory methods, from the given Properties
`AbstractCustomizer` | `createCustomizer(Properties prop)` Returns a customizer panel for this content-type
`FormatterFactory` | `createFormatter()` Creates a FormatterFactory that's suited for this content-type
`ViewFactory` | `createViewFactory()` Creates a ViewFactory that's suited for this content-type
`String` | `getPresentationName()` Return the presentation name of this content-type

Method Detail

### getPresentationName

    public String getPresentationName()

  Return the presentation name of this content-type

### createViewFactory

    public ViewFactory createViewFactory()

  Creates a ViewFactory that's suited for this content-type

### createFormatter

    public FormatterFactory createFormatter()

  Creates a FormatterFactory that's suited for this content-type

### configure

    public void configure(Properties p)

  Configure the EditorKit and the FormatterFactory returned by the factory methods, from the given Properties

### createCustomizer

    public AbstractCustomizer createCustomizer(Properties prop)

  Returns a customizer panel for this content-type

  Parameters:
    `prop` - used to init the component or to store preferences on-demand.
  Returns:
    null if no customizer is available for this content-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org